Bug 862543 - cannot find -lHSrts_thr
cannot find -lHSrts_thr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pandoc (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 04:07 EDT by Dan Horák
Modified: 2012-11-21 01:23 EST (History)
3 users (show)

See Also:
Fixed In Version: pandoc-1.9.4.2-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 870327 (view as bug list)
Environment:
Last Closed: 2012-11-21 01:23:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2012-10-03 04:07:46 EDT
Some packages (eg. lehsak-server) fail to build with "/usr/bin/ld: cannot find -lHSrts_thr" error message thrown.

Full logs for leksah-server-0.12.1.2-5.fc18 are at http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=826278

Version-Release number of selected component (if applicable):
ghc-compiler.s390 0:7.4.1-6.1.fc18
Comment 1 Dan Horák 2012-10-03 08:29:28 EDT
pandoc is also affected
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=826471
Comment 2 Jens Petersen 2012-10-26 03:44:58 EDT
I am not sure if ghc's threaded runtime is supported on tier 2 archs.

Anyway at least for pandoc rts_thr is not really needed
(it is dropped now in upstream git).  So fixing that first.
Comment 3 Jens Petersen 2012-10-26 03:50:43 EDT
I cloned bug 870327 for leksah-server.

Danny, thanks for reporting this.
If you aware of more failures on s390, do let us know.
Comment 4 Dan Horák 2012-10-26 04:02:44 EDT
(In reply to comment #3)
> I cloned bug 870327 for leksah-server.
> 
> Danny, thanks for reporting this.
> If you aware of more failures on s390, do let us know.

Thanks Jens, there is nothing I aware of now, but will let you know if anything would appear.
Comment 5 Fedora Update System 2012-10-26 04:05:15 EDT
pandoc-1.9.4.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pandoc-1.9.4.2-6.fc17
Comment 6 Fedora Update System 2012-10-26 04:05:28 EDT
pandoc-1.9.4.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pandoc-1.9.4.2-6.fc18
Comment 7 Fedora Update System 2012-10-26 15:32:30 EDT
Package pandoc-1.9.4.2-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pandoc-1.9.4.2-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16881/pandoc-1.9.4.2-6.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.